1. 2. Catalog
Yamm
  • Partner API
    • 1. Authentication
      • Issue Access Token
    • 2. Catalog
      • List Products
        GET
      • Get Product
        GET
    • 3. Returns
      • List Return Reasons
      • Create Return Reason
      • Upload Return Attachment
      • Create Return
      • List Returns
      • Get Return
      • Approve Return
      • Reject Return
      • List Resolution Methods
      • Inspect Return
      • Cancel Return
      • Get Return Timeline
    • 4. Webhooks
      • Webhook Meta
      • List Webhooks
      • Create Webhook
      • Get Webhook
      • Update Webhook
      • Delete Webhook
      • Rotate Webhook Secret
      • Send Test Webhook
      • List Webhook Deliveries
      • Get Webhook Delivery
      • Retry Webhook Delivery
    • 5. Store & Orders
      • Get Store
      • List Orders
      • Get Order
  1. 2. Catalog

Get Product

GET
/partner/v1/products/{id}
One of the store's products with its variants. Returns 404 for another store's product. Scope: products:read.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠404Not found
🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/partner/v1/products/' \
--header 'X-Store-Id: {{partner_store_id}}' \
--header 'Accept-Language: en' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "success": true,
    "message": "string",
    "data": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": {},
        "description": {},
        "slug": "string",
        "status": "string",
        "thumbnail": "string",
        "images": [
            "string"
        ],
        "variants": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": {},
                "sku": "string",
                "barcode": "string",
                "price": 0,
                "compare_at_price": 0,
                "currency": "string",
                "inventory_quantity": 0,
                "track_inventory": true,
                "is_default": true,
                "status": "string"
            }
        ],
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z"
    }
}
Previous
List Products
Next
List Return Reasons
Built with